<?php

namespace App;

use App\Traits\ModelTimeFormat;
use Illuminate\Database\Eloquent\Model;

use App\Traits\ModelLogChanging;

class OrderIssueProcessLog extends Model
{
    use ModelLogChanging;

    //
    use ModelTimeFormat;

    protected $fillable = ['order_issue_id','user_id','content','type'];

    public function orderIssue(){
        return $this->hasOne('App\OrderIssue','id','order_issue_id');
    }
    public function user(){
        return $this->hasOne('App\User','id','user_id');
    }
}
